]> git.pld-linux.org Git - packages/apache1.git/blobdiff - apache1.init
- mod_auth doesn't really require htpasswd program
[packages/apache1.git] / apache1.init
index f6843e2a2bfead4cff08e441e9a265a16e6489f5..ef23b7bf3751504731cd462ee189aeb6a250c363 100644 (file)
@@ -22,7 +22,6 @@
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-               # nls "ERROR: Networking is down. %s can't be run." <service>
                msg_network_down apache
                exit 1
        fi
@@ -42,7 +41,7 @@ case "$1" in
        if [ -x /usr/lib/apache1/lingerd ]; then
                if [ ! -f /var/lock/subsys/lingerd ]; then
                        msg_starting lingerd
-                       daemon --user http /usr/lib/apache1/lingerd
+                       SERVICE_UMASK=002 daemon --user http /usr/lib/apache1/lingerd
                        RETVAL=$?
                        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/lingerd
                else
@@ -96,7 +95,7 @@ case "$1" in
        fi
 
        ;;
-  reload|force-reload)
+  force-reload)
        if [ -f /var/lock/subsys/apache ]; then
                msg_reloading apache
 
@@ -109,11 +108,11 @@ case "$1" in
                        echo "Configuration file syntax test failed."
                fi
        else
-               msg_not_running apache >&2
+               msg_not_running apache
                RETVAL=7
        fi
        ;;
-  graceful)
+  reload|graceful)
        if [ -f /var/lock/subsys/apache ]; then
                msg_reloading apache
 
@@ -123,13 +122,28 @@ case "$1" in
                        killproc apache -USR1
                else
                        fail
-                       echo "Configuration file syntax test failed."
+                       echo >&2 "Configuration file syntax test failed."
                fi
        else
-               msg_not_running apache >&2
+               msg_not_running apache
                RETVAL=7
        fi
        ;;
+  flush-logs)
+       if [ -f /var/lock/subsys/apache ]; then
+               msg_reloading apache
+
+               apache -t > /dev/null 2>&1
+               RETVAL=$?
+               if [ $RETVAL -eq 0 ]; then
+                       killproc apache -USR1
+                       RETVAL=$?
+               else
+                       fail
+                       echo >&2 "Configuration file syntax test failed."
+               fi
+       fi
+       ;;
   configtest)
        apache -t
        ;;
This page took 0.037089 seconds and 4 git commands to generate.